$(()=>{
    if(BASE_URL == "https://mobipay.cash/api"){
        toggleZoomScreen(90)
    }else{
        toggleZoomScreen(90)
    }
})


const requestOptions = (method) => ({
    method: method,
    headers: {
      "Content-Type": "application/json",
      'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    },
    body: null
});

  // Usage for POST request
const PostOptions = requestOptions("POST");

  // Usage for GET request
const GetOptions = requestOptions("GET");

$('.ui.dropdown').dropdown();

function toggleZoomScreen(zoom_level) {
    document.body.style.zoom = `${zoom_level}%`;
}


  // Helper function to apply zoom to an array of elements
  function applyZoom(elements, zoom_level) {
    elements.forEach(element => {
      element.style.zoom = `${zoom_level}% !important`;
    });
  }



function isValidPhone(p) {
    var phoneRe = /^[0-9]\d{2}[0-9]\d{2}\d{4}$/;
    var digits = p.replace(/\D/g, "");
    return phoneRe.test(digits);
}

$(".phone-field").keyup(function (e) {
  var sliced = $(this).val().slice(0, 4);
  if (sliced != "+265") {
    $(this).val("+265");
  }
});

function toTitleCase(str) {
  return str.replace(/\w\S*/g, function (txt) {
    return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();
  });
}

function getFormData(form) {
  let form_data = $("#" + form).serializeArray();
  let json_obj = {};
  $.each(form_data, function (i, v) {
    json_obj[v.name] = v.value;
  });
  return json_obj;
}

function webConfirm(text, callback) {
  swal({
    title: "Are you sure?",
    text,
    icon: "warning",
    buttons: ['Cancel', 'I Confirm'],
    dangerMode: false,
  })
  .then((confirmed) => {
    if (confirmed) {
      callback(true)
    }
  });
}


function Isset(value){
  return value != undefined && value != null && value != '' && value
}
function isPhoneNumberValid(msisdn){
    const phonePrefix = ['+26599','+26598','+26588']
    if(msisdn.length != 13 || !phonePrefix.includes(msisdn.substring(0,6))
          || !msisdn.match(/\d/)){
            return false
    }
    return true
}
